Thread (2 messages) 2 messages, 2 authors, 2021-10-31

Re: [PATCH] xfs/126: Add a getxattr opeartion

From: Eryu Guan <hidden>
Date: 2021-10-31 15:15:12
Also in: fstests

On Fri, Oct 29, 2021 at 04:50:24PM +0800, Yang Xu wrote:
It is design to reproduce a deadlock on upstream kernel. It is introduced
by kernel commit 07120f1abdff ("xfs: Add xfs_has_attr and subroutines").

Signed-off-by: Yang Xu <xuyang2018.jy@fujitsu.com>
As this will trigger deadlock, I'd just wait for the fix to land first,
the we also could reference the commit that fixed the issue in commit
log.

Thanks,
Eryu
quoted hunk ↗ jump to hunk
---
 tests/xfs/126 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/tests/xfs/126 b/tests/xfs/126
index c3a74b1c..9a77a60e 100755
--- a/tests/xfs/126
+++ b/tests/xfs/126
@@ -69,7 +69,7 @@ done
 
 echo "+ mount image && modify xattr"
 if _try_scratch_mount >> $seqres.full 2>&1; then
-
+	getfattr "${SCRATCH_MNT}/attrfile" -n "user.x00000000" 2> /dev/null || _fail "modified corrupt xattr"
 	setfattr -x "user.x00000000" "${SCRATCH_MNT}/attrfile" 2> /dev/null && _fail "modified corrupt xattr"
 	umount "${SCRATCH_MNT}"
 fi
-- 
2.23.0
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help